/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: NodeLink.java,v 1.2 2007/03/18 09:06:59 lzhang Exp $
 */

package org.eclipse.eodm.owl.reasoner.structural;


/**
 * NodeLink: Link between nodes
 * 
 * @author yy
 *
 */

public abstract class NodeLink {
    public NodeLink(TBox tbox) {
        this.tbox = tbox;
    }

    public NodeLink(TBox tbox, CTNode source, CTNode target) {
        this(tbox);
        setSource(source.getAlternativeNode());
        setTarget(target.getAlternativeNode());
    }

    public CTNode getSource() {
        return source == null ? null : (source = source.getAlternativeNode());
    }

    abstract public void setSource(CTNode source);

    public CTNode getTarget() {
        return target == null ? null : (target = target.getAlternativeNode());
    }

    abstract public void setTarget(CTNode target);

    TBox tbox;

    CTNode source = null, target = null;
}
