/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: RDFResourceElement.java,v 1.2 2007/03/18 08:39:02 lzhang Exp $
 */

package org.eclipse.eodm.rdf.resource.parser.element;

/**
 * An interface for RDF resource
 */
public interface RDFResourceElement extends RDFValue {

    /**
     * Get namespace of RDFResourceElement
     * 
     * @return namespace of RDFResourceElement
     */
    public String getNamespace();

    /**
     * Get local name of RDFResourceElement
     * 
     * @return local name of RDFResourceElement
     */

    public String getLocalName();

    /**
     * Get URI of RDFResourceElement
     * 
     * @return URI of RDFResourceElement
     */

    public String getFullURI();
}