/**
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * $Id: AllValuesFromRestriction.java,v 1.1 2007/03/18 08:10:08 lzhang Exp $
 */
package org.eclipse.eodm.owl.owlbase;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>All Values From Restriction</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following ODM features are supported:
 * <ul>
 *   <li>{@link org.eclipse.eodm.owl.owlbase.AllValuesFromRestriction#getAllValuesFromClass <em>allValuesFromClass</em>}</li>
 *   <li>{@link org.eclipse.eodm.owl.owlbase.AllValuesFromRestriction#getAllValuesFromDataRange <em>allValuesFromDataRange</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.eodm.owl.owlbase.util.OWLBasePackage#getAllValuesFromRestriction()
 * @model
 * @generated
 */
public interface AllValuesFromRestriction extends OWLRestriction {
	/**
	 * Returns the value of the '<em><b>allValuesFromClass</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>All Values From Class</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>allValuesFromClass</em>' reference.
	 * @see #setAllValuesFromClass(OWLClass)
	 * @see org.eclipse.eodm.owl.owlbase.util.OWLBasePackage#getAllValuesFromRestriction_AllValuesFromClass()
	 * @model required="true"
	 * @generated
	 */
	OWLClass getAllValuesFromClass();

	/**
	 * Sets the value of the '{@link org.eclipse.eodm.owl.owlbase.AllValuesFromRestriction#getAllValuesFromClass <em>allValuesFromClass</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>allValuesFromClass</em>' reference.
	 * @see #getAllValuesFromClass()
	 * @generated
	 */
	void setAllValuesFromClass(OWLClass value);

	/**
	 * Returns the value of the '<em><b>allValuesFromDataRange</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>All Values From Data Range</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>allValuesFromDataRange</em>' reference.
	 * @see #setAllValuesFromDataRange(OWLDataRange)
	 * @see org.eclipse.eodm.owl.owlbase.util.OWLBasePackage#getAllValuesFromRestriction_AllValuesFromDataRange()
	 * @model required="true"
	 * @generated
	 */
	OWLDataRange getAllValuesFromDataRange();

	/**
	 * Sets the value of the '{@link org.eclipse.eodm.owl.owlbase.AllValuesFromRestriction#getAllValuesFromDataRange <em>allValuesFromDataRange</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>allValuesFromDataRange</em>' reference.
	 * @see #getAllValuesFromDataRange()
	 * @generated
	 */
	void setAllValuesFromDataRange(OWLDataRange value);

} // AllValuesFromRestriction
