/**
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * $Id: OWLRestriction.java,v 1.1 2007/03/18 08:10:08 lzhang Exp $
 */
package org.eclipse.eodm.owl.owlbase;

import org.eclipse.eodm.rdf.rdfbase.RDFProperty;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>OWL Restriction</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following ODM features are supported:
 * <ul>
 *   <li>{@link org.eclipse.eodm.owl.owlbase.OWLRestriction#getOWLonProperty <em>OWLonProperty</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.eodm.owl.owlbase.util.OWLBasePackage#getOWLRestriction()
 * @model abstract="true"
 * @generated
 */
public interface OWLRestriction extends OWLClass {
	/**
	 * Returns the value of the '<em><b>OWLonProperty</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>OW Lon Property</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>OWLonProperty</em>' reference.
	 * @see #setOWLonProperty(RDFProperty)
	 * @see org.eclipse.eodm.owl.owlbase.util.OWLBasePackage#getOWLRestriction_OWLonProperty()
	 * @model required="true"
	 * @generated
	 */
	RDFProperty getOWLonProperty();

	/**
	 * Sets the value of the '{@link org.eclipse.eodm.owl.owlbase.OWLRestriction#getOWLonProperty <em>OWLonProperty</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>OWLonProperty</em>' reference.
	 * @see #getOWLonProperty()
	 * @generated
	 */
	void setOWLonProperty(RDFProperty value);

} // OWLRestriction
