/**
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * $Id: SomeValuesFromRestriction.java,v 1.1 2007/03/18 08:10:08 lzhang Exp $
 */
package org.eclipse.eodm.owl.owlbase;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Some Values From Restriction</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following ODM features are supported:
 * <ul>
 *   <li>{@link org.eclipse.eodm.owl.owlbase.SomeValuesFromRestriction#getSomeValuesFromClass <em>someValuesFromClass</em>}</li>
 *   <li>{@link org.eclipse.eodm.owl.owlbase.SomeValuesFromRestriction#getSomeValuesFromDataRange <em>someValuesFromDataRange</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.eodm.owl.owlbase.util.OWLBasePackage#getSomeValuesFromRestriction()
 * @model
 * @generated
 */
public interface SomeValuesFromRestriction extends OWLRestriction {
	/**
	 * Returns the value of the '<em><b>someValuesFromClass</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Some Values From Class</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>someValuesFromClass</em>' reference.
	 * @see #setSomeValuesFromClass(OWLClass)
	 * @see org.eclipse.eodm.owl.owlbase.util.OWLBasePackage#getSomeValuesFromRestriction_SomeValuesFromClass()
	 * @model required="true"
	 * @generated
	 */
	OWLClass getSomeValuesFromClass();

	/**
	 * Sets the value of the '{@link org.eclipse.eodm.owl.owlbase.SomeValuesFromRestriction#getSomeValuesFromClass <em>someValuesFromClass</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>someValuesFromClass</em>' reference.
	 * @see #getSomeValuesFromClass()
	 * @generated
	 */
	void setSomeValuesFromClass(OWLClass value);

	/**
	 * Returns the value of the '<em><b>someValuesFromDataRange</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Some Values From Data Range</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>someValuesFromDataRange</em>' reference.
	 * @see #setSomeValuesFromDataRange(OWLDataRange)
	 * @see org.eclipse.eodm.owl.owlbase.util.OWLBasePackage#getSomeValuesFromRestriction_SomeValuesFromDataRange()
	 * @model required="true"
	 * @generated
	 */
	OWLDataRange getSomeValuesFromDataRange();

	/**
	 * Sets the value of the '{@link org.eclipse.eodm.owl.owlbase.SomeValuesFromRestriction#getSomeValuesFromDataRange <em>someValuesFromDataRange</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>someValuesFromDataRange</em>' reference.
	 * @see #getSomeValuesFromDataRange()
	 * @generated
	 */
	void setSomeValuesFromDataRange(OWLDataRange value);

} // SomeValuesFromRestriction
