/**
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * $Id: TypedLiteral.java,v 1.1 2007/03/18 08:10:08 lzhang Exp $
 */
package org.eclipse.eodm.rdf.rdfbase;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Typed Literal</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following ODM features are supported:
 * <ul>
 *   <li>{@link org.eclipse.eodm.rdf.rdfbase.TypedLiteral#getDatatypeURI <em>datatypeURI</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.eodm.rdf.rdfbase.util.RDFBasePackage#getTypedLiteral()
 * @model
 * @generated
 */
public interface TypedLiteral extends RDFSLiteral {
	/**
	 * Returns the value of the '<em><b>datatypeURI</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datatype URI</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>datatypeURI</em>' reference.
	 * @see #setDatatypeURI(URIReference)
	 * @see org.eclipse.eodm.rdf.rdfbase.util.RDFBasePackage#getTypedLiteral_DatatypeURI()
	 * @model required="true"
	 * @generated
	 */
	URIReference getDatatypeURI();

	/**
	 * Sets the value of the '{@link org.eclipse.eodm.rdf.rdfbase.TypedLiteral#getDatatypeURI <em>datatypeURI</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>datatypeURI</em>' reference.
	 * @see #getDatatypeURI()
	 * @generated
	 */
	void setDatatypeURI(URIReference value);

} // TypedLiteral
