<?php
$isBuildServer = preg_match("/^(build|emft).eclipse.org$/", $_SERVER["SERVER_NAME"]) || preg_match("/^emf(?:\.torolab\.ibm\.com)$/", $_SERVER["SERVER_NAME"]);

# /technology/emft/<subprojectName>/downloads/drops/0.8.0/I200706061234 or /modeling/mdt/ocl/downloads/drops/1.1.0/I200703011208
preg_match("#.+(technology|modeling)/([^/]+)/([^/]+)/downloads/drops/(\d\.\d\.\d)/([NIMSR]\d{12})#", $_SERVER["SCRIPT_NAME"], $bits); 

$tech = $bits[1] == "technology" ? "&amp;tech" : "";
$projectName = strtoupper($bits[2]);
$projectDownloadsPagePath = ($tech ? "" : "/modeling") . "/".$bits[2]."/downloads";
$subproj = $bits[3];
$subprojName = strtoupper($subproj);

$buildDir = preg_replace("/(.+\/downloads\/drops\/.+\/.+)\/.+\.php/", "$1", $_SERVER["SCRIPT_NAME"]);
$buildName = $bits[4]."/".$bits[5];
$buildID = $bits[5];
$pageTitle = $projectName . ($subprojName && $projectName != $subprojName ? ' ' . $subprojName : '') . ' Build ' . $buildName;
 
print '<html>' . "\n" .
'<head>' . "\n" .
'  <title>' . $pageTitle . '</title>' . "\n" .
'  <link rel="stylesheet" type="text/css" href="http://' . ($isBuildServer ? $_SERVER["SERVER_NAME"] : "www.eclipse.org") . '/modeling/includes/downloads.css"/>' . "\n" .
'</head>' . "\n" .
'<body>' . "\n";

$linkPre = $isBuildServer ? "" : "http://www.eclipse.org";
print '<div id="midcolumn">
<div class="homeitem3col">
<h3>' . $pageTitle . '</h3>
<p>For more information on this build, please go to ' .
	'<a href="' . $linkPre . $projectDownloadsPagePath . '/?project=' . $subproj . '&amp;showAll=1&amp;hlbuild=' . $buildID . '#' . $buildID . '">' .
	'this project\'s download page</a>.' .
	'</p>
<ul class="releases">
';

$files = loadDownloadsDir("./", "\.(cfg|txt|php|html|zip)$");
if (sizeof($files) > 0)
{
	foreach ($files as $catg => $fileset)
	{
		print '<li>' . $catg . '<ul>' . "\n";
		foreach ($fileset as $file)
		{
			if (false === strpos($file, "index.")) // exclude index file
			{
				if (preg_match("/.+\.(txt|cfg|html)$/", $file))
				{
					$filesize = pretty_size(filesize($_SERVER['DOCUMENT_ROOT'] . '/' . $buildDir . '/' . $file));
					print '<li><a href="' . $file . '">' . $file . '</a> ' . $filesize . '</li>' . "\n";
				}
				else
				{
					if (false !== strpos($file, ".zip"))
					{
						$filesize = pretty_size(filesize($_SERVER['DOCUMENT_ROOT'] . '/' . $buildDir . '/' . $file));
						print '<li><a href="' . ($isBuildServer ? "" : 'http://www.eclipse.org/modeling/download.php?file=') . $buildDir . '/' . $file . '">' . $file . '</a> ' . $filesize . ' (<a href="' . $file . '.md5">md5</a>)</li>' . "\n";
					}
					else if ($file != "testResults.php")
					{
						print '<li><a href="' . $file . '">' . $file . '</a></li>' . "\n";
					}
				}
			}
		}
		print '</ul></li>' . "\n";
		}
	}
else
{
	print "<li>No files found!</li>\n";
}

print '<li>Test Results</li><ul>' .
	'<li><a href="' . $linkPre . $projectDownloadsPagePath . '/testResults.php?project=' . $subproj .'&ID=' . $buildName . '&hl=0' . $tech . '">Console Logs</a></li>' .
	'<li><a href="' . $linkPre . $projectDownloadsPagePath . '/testResults.php?project=' . $subproj .'&ID=' . $buildName . '&hl=1' . $tech . '">JUnits</a></li>' .
	'<li><a href="' . $linkPre . $projectDownloadsPagePath . '/testResults.php?project=' . $subproj .'&ID=' . $buildName . '&hl=2' . $tech . '">Compilation Warnings</a></li>' .
	'</ul>';
print "</ul>\n";

print "</div></div>\n";

print "</body></html>\n";

/* this function copied from /www/modeling/includes/downloads-common.php */
function pretty_size($bytes)
{
	$sufs = array (
		"B",
		"K",
		"M",
		"G",
		"T",
		"P"
	); //we shouldn't be larger than 999.9 petabytes any time soon, hopefully
	$suf = 0;

	while ($bytes >= 1000)
	{
		$bytes /= 1024;
		$suf++;
	}

	return sprintf("%3.1f%s", $bytes, $sufs[$suf]);
}

function loadDownloadsDir($dir, $ext)
{
	$stuff = array ();

	if (is_dir($dir) && is_readable($dir))
	{
		$handle = opendir($dir);
		while (($file = readdir($handle)) !== false)
		{
			if (preg_match("/$ext$/", $file) && !preg_match("/^\.{1,2}$/", $file) && is_file("$dir/$file"))
			{
				$stuff[] = $file;

			}
		}
		closedir($handle);
	}

	if (sizeof($stuff) > 0)
	{
		/* sort by extension then filename, zips first */
		$sortedstuff = array (
			"Zip Files" => array (),
			"Build Details" => array ()
		);
		foreach ($stuff as $file)
		{
			$sortedstuff[(false !== strpos($file, ".zip") ? "Zip Files" : "Build Details")][preg_replace("/.+\.([^\.]+)/", "$1", $file) . $file] = $file;
		}
		ksort($sortedstuff["Zip Files"]);
		reset($sortedstuff["Zip Files"]);
		ksort($sortedstuff["Build Details"]);
		reset($sortedstuff["Build Details"]);
		return $sortedstuff;
	}
	else
	{
		return $stuff;
	}
}
?>
